<?php
session_start();

require 'Email.php';

//function enviarRelatorio($arquivo, $empresa, $cnpj, $destinatario, $numeroPedido, $usuario): bool|string{

$email = filter_var_array($_POST['fornecedor']);
$fabricante = filter_var($_POST['fabricante']);
$fantasia = filter_var($_POST['fantasia']);
$cnpj = filter_var($_POST['cnpj']);
$usuario = filter_var($_POST['usuario']);
$idPedido = filter_var($_POST['idPedido']);
$razao = filter_var($_POST['razao']);
$representante = $_POST['representante'];

$arquivo = "../pedidos/pdfs/PEDIDO-$idPedido.pdf";

foreach ($email as $emailEnviar){

$retornoEmail = $EmailInstancia->enviarRelatorio($arquivo, 
                                        $fantasia,
                                        $cnpj,
                                        $emailEnviar,
                                        $idPedido,
                                        $usuario,
                                        $razao,
                                        $representante
                                    );
}


if($retornoEmail == 1)

{   
      $_SESSION['msg'] = "<div class='alert alert-success'>Pedido enviado para: $emailEnviar</div>";
     header('Location: ../../comprasanalise.php');
}else{


      $_SESSION['msg'] = "<div class='alert alert-danger'> Algo deu errado! </div>";
      header('Location: ../../comprasanalise.php');

}

echo $retornoEmail;